Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005915 [JEDI VCL] 00 JVCL Components minor always 2012-06-25 14:28 2015-09-21 17:47
Reporter rudiloos View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005915: JvDBUltimGrid - Mouse buttons when title buttons are active on mousedown and up events
Description Hi

Property TitleButtons is active.

In the onmousedown and onmouseup events 'Button' returns mbleft when clicked with the right mouse button. Middle button correct.
It also issues two events on left click. (Could be a side effect of the problem above)
Buttons are correct when TitleButtons is not active.
Additional Information
Delphi XE2 U4
Windows XP SP3
Tags No tags attached.
Attached Files zip file icon JvDBUltimGrid Sample.zip [^] (1,845 bytes) 2013-01-17 12:40

- Relationships

-  Notes
(0020337)
obones (administrator)
2013-01-15 15:06

Please provide the zipped sources of a sample application showing this.
(0020403)
rudiloos (reporter)
2013-01-17 13:09

Clicking on the title buttons the left button does not work.
Right Button shows up as left button
Middle Button shows up as Middle button
Both Right and Middle buttons fire 2 onmousedown events.
(0020854)
obones (administrator)
2013-12-16 12:18

I fixed the event being called twice, it's in GIT.
As to the invalid value for Button, it's done on purpose, and I'm afraid changing this will break lots of other things.
However, in the Shift parameter, you have ssRight that can be used.

- Issue History
Date Modified Username Field Change
2012-06-25 14:28 rudiloos New Issue
2013-01-15 15:06 obones Note Added: 0020337
2013-01-15 15:06 obones Status new => feedback
2013-01-17 12:40 rudiloos File Added: JvDBUltimGrid Sample.zip
2013-01-17 13:09 rudiloos Note Added: 0020403
2013-12-13 11:40 obones Status feedback => acknowledged
2013-12-16 12:18 obones Note Added: 0020854
2013-12-16 12:18 obones Status acknowledged => resolved
2013-12-16 12:18 obones Fixed in Version => Daily / GIT
2013-12-16 12:18 obones Resolution open => fixed
2013-12-16 12:18 obones Assigned To => obones
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49
2016-04-11 12:10 dougwoodrow Issue Monitored: dougwoodrow


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker